
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PILO_PRINTXML_H
#define PILO_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/pomPrintXML.h"

#include "server/genPosPrintXML.h"


#include "piloPosterLib.h"

/* Prototypes */
extern void printXML_struct_PILO_BASICTRAJ_POSTER_STR ( FILE *out, char *name,
     struct PILO_BASICTRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_SPEEDREF_POSTER_STR ( FILE *out, char *name,
     struct PILO_SPEEDREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_POSREF_POSTER_STR ( FILE *out, char *name,
     struct PILO_POSREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_STR ( FILE *out, char *name,
     struct PILO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_ABSOLUTE_BL ( FILE *out, char *name,
     struct PILO_ABSOLUTE_BL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_ASOLUTE_REF ( FILE *out, char *name,
     struct PILO_ASOLUTE_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_TRAJECTORY ( FILE *out, char *name,
     struct PILO_TRAJECTORY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_SEGMENT ( FILE *out, char *name,
     struct PILO_SEGMENT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_TRAJ_HEADER ( FILE *out, char *name,
     struct PILO_TRAJ_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PILO_SEG_TYPE ( FILE *out, char *name,
     enum PILO_SEG_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_TRAJ_POSTER ( FILE *out, char *name,
     struct PILO_TRAJ_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_GOTO_CONFIG_STR ( FILE *out, char *name,
     struct PILO_GOTO_CONFIG_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PILO_GOTO_CONFIG_MODE ( FILE *out, char *name,
     enum PILO_GOTO_CONFIG_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PILO_ABS_OR_REL ( FILE *out, char *name,
     enum PILO_ABS_OR_REL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_TURN_STR ( FILE *out, char *name,
     struct PILO_TURN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_MOVE_STR ( FILE *out, char *name,
     struct PILO_MOVE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_PILO_AVOID_FLAG ( FILE *out, char *name,
     enum PILO_AVOID_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_DYNAMIC_PARAMS ( FILE *out, char *name,
     struct PILO_DYNAMIC_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PILO_INIT_STR ( FILE *out, char *name,
     struct PILO_INIT_STR *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_PILO_INIT_STR ( FILE *out, char *name,
     PILO_INIT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_DYNAMIC_PARAMS ( FILE *out, char *name,
     PILO_DYNAMIC_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_AVOID_FLAG ( FILE *out, char *name,
     PILO_AVOID_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_MOVE_STR ( FILE *out, char *name,
     PILO_MOVE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_TURN_STR ( FILE *out, char *name,
     PILO_TURN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_ABS_OR_REL ( FILE *out, char *name,
     PILO_ABS_OR_REL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_GOTO_CONFIG_MODE ( FILE *out, char *name,
     PILO_GOTO_CONFIG_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_GOTO_CONFIG_STR ( FILE *out, char *name,
     PILO_GOTO_CONFIG_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_TRAJ_POSTER ( FILE *out, char *name,
     PILO_TRAJ_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_SEG_TYPE ( FILE *out, char *name,
     PILO_SEG_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_TRAJ_HEADER ( FILE *out, char *name,
     PILO_TRAJ_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_SEGMENT ( FILE *out, char *name,
     PILO_SEGMENT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_TRAJECTORY ( FILE *out, char *name,
     PILO_TRAJECTORY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_ABSOLUTE_REF ( FILE *out, char *name,
     PILO_ABSOLUTE_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_ABSOLUTE_BL ( FILE *out, char *name,
     PILO_ABSOLUTE_BL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_STR ( FILE *out, char *name,
     PILO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_POSREF_POSTER_STR ( FILE *out, char *name,
     PILO_POSREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_SPEEDREF_POSTER_STR ( FILE *out, char *name,
     PILO_SPEEDREF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PILO_BASICTRAJ_POSTER_STR ( FILE *out, char *name,
     PILO_BASICTRAJ_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* PILO_PRINT_XML_H */

